// ProtocolUnit.h: interface for the CProtocolUnit class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROTOCOLUNIT_H__8D9754E2_A231_11D5_9750_00E07DA18C35__INCLUDED_)
#define AFX_PROTOCOLUNIT_H__8D9754E2_A231_11D5_9750_00E07DA18C35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


enum PROTOCOL_UNIT_COMMAND
{
	PU_UNKNOWN = -1,
	PU_ERROR,
	PU_SAY,
	PU_WHISPER,
	PU_JOIN,
	PU_NICK,
	PU_BYE,
	PU_LIST,
	PU_WELCOME,
	PU_DISCONNECT,
	PU_DOWN
};

enum PROTOCOL_UNIT_ERROR
{
	PUE_UNKNOWN = 0
};

class CProtocolUnit  
{
private:
	CString m_sCommand;
	CString m_sParam;
	CString m_sText;
	int m_nCommand;

public:
	int GetCommandID() const;
	CString GetText() const;
	CString GetParam() const;
	CString GetCommand() const;
	void Extract(CString& sLine);
	CProtocolUnit();
	virtual ~CProtocolUnit();
};



#endif // !defined(AFX_PROTOCOLUNIT_H__8D9754E2_A231_11D5_9750_00E07DA18C35__INCLUDED_)
